> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign employees to a training



## OpenAPI

````yaml POST /training/v1/training-employees-assignations/{trainingId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /training/v1/training-employees-assignations/{trainingId}:
    post:
      tags:
        - Employee Training Assignation
      summary: Assign employees to a training
      operationId: AssignEmployeesToTraining
      parameters:
        - in: path
          name: trainingId
          description: Training ID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Assign employees to a training
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                employeeIds:
                  type: object
                  properties:
                    employeeId:
                      type: string
                      format: uuid
              required:
                - employeeIds
      responses:
        '200':
          description: Array of Objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        assignId:
                          type: string
                          format: uuid
                        employeeName:
                          type: string
                        firstName:
                          type: string
                        lastName:
                          type: string
                        imageProfileURL:
                          type: string
                        email:
                          type: string
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````